<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <Button
        android:id="@+id/btn"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="交换" />
    <RelativeLayout
        android:id="@+id/rl_main"
        android:layout_width="350dp"
        android:layout_height="250dp"
        android:orientation="horizontal"
        android:layout_centerInParent="true">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="120dp"
            android:orientation="horizontal">
            <LinearLayout
                android:id="@+id/view_1"
                android:layout_width="80dp"
                android:layout_height="120dp"
                android:background="@android:color/holo_green_dark"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">
                    <TextView
                        android:text="1"
                        android:textSize="30sp"
                        android:gravity="center"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/view_2"
                android:layout_marginLeft="90dp"
                android:layout_width="80dp"
                android:layout_height="120dp"
                android:background="@android:color/holo_orange_dark"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">
                    <TextView
                        android:text="3"
                        android:textSize="30sp"
                        android:gravity="center"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/view_3"
                android:layout_marginLeft="180dp"

                android:layout_width="80dp"
                android:layout_height="120dp"
                android:background="@android:color/holo_blue_dark"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">
                    <TextView
                        android:text="5"
                        android:textSize="30sp"
                        android:gravity="center"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/view_4"
                android:layout_marginLeft="270dp"

                android:layout_width="80dp"
                android:layout_height="120dp"
                android:background="@android:color/holo_blue_dark"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">
                    <TextView
                        android:text="7"
                        android:textSize="30sp"
                        android:gravity="center"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        />
                </LinearLayout>
            </LinearLayout>
        </RelativeLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="250dp"
            android:layout_marginTop="120dp"
            android:orientation="horizontal">
            <com.xunao.effectdemo.view.MyLinearLayout
                android:visibility="gone"
                android:layout_width="80dp"
                android:layout_height="130dp"
                app:text_num="2"

                app:bg_color="@android:color/holo_red_dark"/>
            <LinearLayout

                android:id="@+id/view1_container"
                android:layout_width="80dp"
                android:layout_height="130dp"
                android:orientation="vertical">

                <LinearLayout
                    android:id="@+id/view1"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="10dp"
                    android:background="@android:color/holo_red_dark"
                    android:orientation="vertical">

                    <TextView
                        android:text="2"
                        android:textSize="30sp"
                        android:gravity="center"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        />
                </LinearLayout>
            </LinearLayout>
            <com.xunao.effectdemo.view.MyLinearLayout
                android:visibility="gone"
                android:layout_width="80dp"
                android:layout_height="130dp"
                android:layout_marginLeft="10dp"
                app:text_num="4"
                app:bg_color="@android:color/holo_purple"/>
            <LinearLayout
                android:id="@+id/view2_container"

                android:layout_marginLeft="10dp"
                android:layout_width="80dp"
                android:layout_height="130dp"
                android:orientation="vertical">


                <LinearLayout
                    android:id="@+id/view2"
                    android:layout_marginTop="10dp"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@android:color/holo_purple"
                    android:orientation="vertical">

                    <TextView
                        android:text="4"
                        android:textSize="30sp"
                        android:gravity="center"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        />
                </LinearLayout>
            </LinearLayout>

            <com.xunao.effectdemo.view.MyLinearLayout
                android:visibility="gone"
                android:layout_width="80dp"
                android:layout_height="130dp"
                android:layout_marginLeft="10dp"
                app:text_num="6"
                app:bg_color="@android:color/holo_orange_light"/>

            <LinearLayout
                android:id="@+id/view3_container"

                android:layout_marginLeft="10dp"
                android:layout_width="80dp"
                android:layout_height="130dp">

                <LinearLayout
                    android:id="@+id/view3"
                    android:layout_marginTop="10dp"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@android:color/holo_orange_light"
                    android:orientation="vertical">

                    <TextView
                        android:text="6"
                        android:textSize="30sp"
                        android:gravity="center"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        />
                </LinearLayout>
            </LinearLayout>
            <com.xunao.effectdemo.view.MyLinearLayout
                android:visibility="gone"
                android:layout_width="80dp"
                android:layout_height="130dp"
                android:layout_marginLeft="10dp"
                app:text_num="8"
                app:bg_color="@android:color/holo_orange_light"/>

            <LinearLayout
                android:id="@+id/view4_container"
                android:layout_marginLeft="10dp"
                android:layout_width="80dp"
                android:layout_height="130dp">
                <LinearLayout
                    android:id="@+id/view4"
                    android:layout_marginTop="10dp"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@android:color/holo_orange_light"
                    android:orientation="vertical">

                    <TextView
                        android:text="8"
                        android:textSize="30sp"
                        android:gravity="center"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_move"
            android:visibility="gone"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal">
            <LinearLayout
                android:id="@+id/ll_1"
                android:visibility="invisible"
                android:layout_width="0dp"
                android:layout_weight="1"
                android:orientation="vertical"
                android:layout_height="match_parent">
                <LinearLayout
                    android:layout_width="80dp"
                    android:layout_height="120dp"
                    android:background="@android:color/holo_green_dark"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent">
                        <TextView
                            android:text="1"
                            android:textSize="30sp"
                            android:gravity="center"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            />
                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>
            <LinearLayout
                android:id="@+id/ll_2"
                android:visibility="invisible"
                android:layout_width="0dp"
                android:layout_weight="1"
                android:layout_marginLeft="10dp"
                android:orientation="vertical"
                android:layout_height="match_parent">
                <LinearLayout
                    android:layout_width="80dp"
                    android:layout_height="120dp"
                    android:background="@android:color/holo_orange_dark"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent">
                        <TextView
                            android:text="3"
                            android:textSize="30sp"
                            android:gravity="center"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            />
                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>
            <LinearLayout
                android:id="@+id/ll_3"
                android:visibility="invisible"
                android:layout_width="0dp"
                android:layout_marginLeft="10dp"
                android:layout_weight="1"
                android:orientation="vertical"
                android:layout_height="match_parent">
                <LinearLayout
                    android:layout_width="80dp"
                    android:layout_height="120dp"
                    android:background="@android:color/holo_blue_dark"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent">
                        <TextView
                            android:text="5"
                            android:textSize="30sp"
                            android:gravity="center"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            />
                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>
            <LinearLayout
                android:id="@+id/ll_4"
                android:visibility="invisible"
                android:layout_width="0dp"
                android:layout_marginLeft="10dp"
                android:layout_weight="1"
                android:orientation="vertical"
                android:layout_height="match_parent">
                <LinearLayout
                    android:layout_width="80dp"
                    android:layout_height="120dp"
                    android:background="@android:color/holo_blue_dark"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent">
                        <TextView
                            android:text="7"
                            android:textSize="30sp"
                            android:gravity="center"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            />
                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>

        </LinearLayout>
    </RelativeLayout>

    <ImageView
        android:id="@+id/imv_reset2"
        android:layout_alignParentBottom="true"
        android:layout_alignParentRight="true"
        android:layout_marginRight="50dp"
        android:layout_marginBottom="50dp"
        android:src="@mipmap/icon_reset"
        android:layout_width="50dp"
        android:layout_height="50dp"/>
</RelativeLayout>